# Generated by Django 5.0.4 on 2024-12-11 10:31

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('courses', '0001_initial'),
        ('lectures', '0002_lecturepage_course'),
    ]

    operations = [
        migrations.AddField(
            model_name='lecturepage',
            name='question_data',
            field=wagtail.fields.StreamField([('question', wagtail.blocks.CharBlock(form_classname='title', help_text='Вопрос', max_length=512, null=True)), ('person', wagtail.blocks.StructBlock([('first_name', wagtail.blocks.CharBlock()), ('surname', wagtail.blocks.CharBlock()), ('photo', wagtail.images.blocks.ImageChooserBlock(required=False)), ('biography', wagtail.blocks.RichTextBlock())], icon='user'))], null=True),
        ),
        migrations.AlterField(
            model_name='lecturepage',
            name='course',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='courses.course', verbose_name='Курс'),
        ),
    ]
